OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESAppli

# IGESAppli_SpecificModule Class Reference

Defines Services attached to IGES Entities :
Dump & OwnCorrect, for IGESAppli
.

`#include <IGESAppli_SpecificModule.hxx>`

Inheritance diagram for IGESAppli_SpecificModule:

[legend]

## Public Member Functions
Standard_EXPORT | IGESAppli_SpecificModule ()
| Creates a SpecificModule from IGESAppli & puts it into SpecificLib .
Standard_EXPORT void | OwnDump (const Standard_Integer CN, const Handle(IGESData_IGESEntity)&ent, const IGESData_IGESDumper &dumper, const Handle(Message_Messenger)&S, const Standard_Integer own) const
| Specific Dump (own parameters) for IGESAppli .
virtual Standard_EXPORT Standard_Boolean | OwnCorrect (const Standard_Integer CN, const Handle(IGESData_IGESEntity)&ent) const
| ---Purpose
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT IGESAppli_SpecificModule::IGESAppli_SpecificModule | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESAppli_SpecificModule::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_SpecificModule.

virtual Standard_EXPORT Standard_Boolean IGESAppli_SpecificModule::OwnCorrect | ( | const Standard_Integer | CN,
|  | const Handle(IGESData_IGESEntity)& | ent
| ) | const`[virtual]`

| Reimplemented from IGESData_SpecificModule.

Standard_EXPORT void IGESAppli_SpecificModule::OwnDump | ( | const Standard_Integer | CN,
|  | const Handle(IGESData_IGESEntity)& | ent,
|  | const IGESData_IGESDumper & | dumper,
|  | const Handle(Message_Messenger)& | S,
|  | const Standard_Integer | own
| ) | const`[virtual]`

| Implements IGESData_SpecificModule.

The documentation for this class was generated from the following file:

- IGESAppli_SpecificModule.hxx